Bug 484596 - blank title bars on all windows
blank title bars on all windows
Status: CLOSED DUPLICATE of bug 484056
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
11
All Linux
high Severity high
: ---
: ---
Assigned To: Adel Gadllah
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-08 15:33 EST by David Cantrell
Modified: 2010-02-21 00:55 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-30 14:08:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
blanktitlebars.png (8.34 KB, image/png)
2009-02-08 15:33 EST, David Cantrell
no flags Details
Xorg.0.log (33.13 KB, text/plain)
2009-02-10 14:18 EST, David Cantrell
no flags Details
Xorg.1.log (7.29 KB, text/plain)
2009-02-10 14:19 EST, David Cantrell
no flags Details
Xorg.3.org (7.29 KB, text/plain)
2009-02-10 14:19 EST, David Cantrell
no flags Details
Xorg.2.log (7.29 KB, text/plain)
2009-02-10 14:19 EST, David Cantrell
no flags Details
Xorg.4.log (7.29 KB, text/plain)
2009-02-10 14:20 EST, David Cantrell
no flags Details
Xorg.5.log (7.29 KB, text/plain)
2009-02-10 14:20 EST, David Cantrell
no flags Details

  None (edit)
Description David Cantrell 2009-02-08 15:33:31 EST
Created attachment 331253 [details]
blanktitlebars.png

Started happening recently, but I'm not sure if it's a gnome component or compiz.  I have compiz-0.7.8-12.fc11.x86_64 installed.  rawhide is current on my system except for the kernel.

Windows are working.  The close, maximize, and minimize buttons all work, but the title bars are all grey.

Attaching a screen shot.
Comment 1 Matěj Cepl 2009-02-10 13:15:24 EST
Thanks for the bug report.  We have reviewed the information you have provided above, and there is some additional information we require that will be helpful in our diagnosis of this issue.

Please attach your X server config file (/etc/X11/xorg.conf, if available) and X server log file (/var/log/Xorg.*.log) to the bug report as individual uncompressed file attachments using the bugzilla file attachment link below.

Could you please also try to run without any /etc/X11/xorg.conf (if you have one) whatsoever and let X11 autodetect your display and video card? Attach to this bug /var/log/Xorg.0.log from this attempt as well, please.

We will review this issue again once you've had a chance to attach this information.

Thanks in advance.
Comment 2 David Cantrell 2009-02-10 14:18:53 EST
Created attachment 331453 [details]
Xorg.0.log
Comment 3 David Cantrell 2009-02-10 14:19:13 EST
Created attachment 331454 [details]
Xorg.1.log
Comment 4 David Cantrell 2009-02-10 14:19:35 EST
Created attachment 331455 [details]
Xorg.3.org
Comment 5 David Cantrell 2009-02-10 14:19:57 EST
Created attachment 331456 [details]
Xorg.2.log
Comment 6 David Cantrell 2009-02-10 14:20:20 EST
Created attachment 331457 [details]
Xorg.4.log
Comment 7 David Cantrell 2009-02-10 14:20:40 EST
Created attachment 331458 [details]
Xorg.5.log
Comment 8 David Cantrell 2009-02-10 14:21:54 EST
I have no xorg.conf.  Attaching all of the Xorg.?.log files that I have.

I disabled desktop effects and title bars are back, for whatever that's worth.

Thanks.
Comment 9 sangu 2009-02-14 06:48:49 EST
~/.xsession-errors
<skip>
(gtk-window-decorator:6648): metacity-CRITICAL **: meta_frame_style_draw_with_style: assertion `style_gtk->colormap == gdk_drawable_get_colormap (drawable)' failed
(gtk-window-decorator:6648): metacity-CRITICAL **: meta_frame_style_draw_with_style: assertion `style_gtk->colormap == gdk_drawable_get_colormap (drawable)' failed
...

Temporary solution
Use /apps/gwd/use_metacity_theme.
Comment 10 Bug Zapper 2009-06-09 07:08:43 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Matěj Cepl 2009-11-05 13:21:50 EST
Since this bugzilla report was filed, there have been several major updates in various components of the Xorg system, which may have resolved this issue. Users who have experienced this problem are encouraged to upgrade their system to the latest version of their packages. For packages from updates-testing repository you can use command

yum upgrade --enablerepo='*-updates-testing'

Alternatively, you can also try to test whether this bug is reproducible with the upcoming Fedora 12 distribution by downloading LiveMedia of F12 Beta available at http://alt.fedoraproject.org/pub/alt/nightly-composes/ . By using that you get all the latest packages without need to install anything on your computer. For more information on using LiveMedia take a look at https://fedoraproject.org/wiki/FedoraLiveCD .

Please, if you experience this problem on the up-to-date system, let us now in the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as INSUFFICIENT_DATA. Thank you.

[This is a bulk message for all open Fedora Rawhide Xorg-related bugs. I'm adding myself to the CC list for each bug, so I'll see any comments you make after this and do my best to make sure every issue gets proper attention.]
Comment 13 Matěj Cepl 2009-11-17 07:01:48 EST
Switching incorrect assignees to the default one.
Comment 14 Hamidou Dia 2009-12-30 14:08:45 EST
Hi David, Sangu.

It looks like you hit the same as https://bugzilla.redhat.com/show_bug.cgi?id=484056 (gtk-window-decorator: ghost-like title bars...)

That has been fixed.
So closing this ticket.

Regards.
And happy 2009 ending.

-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

*** This bug has been marked as a duplicate of bug 484056 ***
Comment 15 Raja 2010-02-19 13:36:38 EST
This bug came up on up to date fedora-12. I am not sure what caused it, appeared after i upgraded the packages yesterday.

The updated gtk packages are 

Feb 18 14:41:33 Installed: 1:gtk+-1.2.10-69.fc12.i686
Feb 18 14:59:22 Updated: libchamplain-gtk-0.4.3-1.fc12.i686
Feb 18 15:00:16 Installed: transmission-gtk-1.83-2.fc12.i686
Feb 18 15:00:35 Updated: GConf2-gtk-2.28.0-4.fc12.i686
Feb 18 15:01:31 Installed: report-gtk-0.7-1.fc12.i686
Feb 18 15:07:05 Updated: ibus-gtk-1.2.0.20100111-2.fc12.i686

I notice the gtk-window-decorator is not running and manually running it does not have any impact.

Thanks

Raj
Comment 16 Raja 2010-02-21 00:55:25 EST
I was able to identify my problem to missing modulepath's. Once I added them, the compiz and gtk-window-decorator works as designed.

Sorry for the confusion. Raj

Note You need to log in before you can comment on or make changes to this bug.